Get Instagram Page Media
curl --request POST \
--url https://public.plai.io/meta/get_ig_page_media \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"userId": "<string>",
"pagination": "<string>"
}
'import requests
url = "https://public.plai.io/meta/get_ig_page_media"
payload = {
"userId": "<string>",
"pagination": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '<string>', pagination: '<string>'})
};
fetch('https://public.plai.io/meta/get_ig_page_media', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"results": {
"success": true,
"media": [
{
"id": "<string>",
"caption": "<string>",
"media_type": "<string>",
"media_url": "<string>",
"permalink": "<string>",
"timestamp": "<string>",
"ig_id": "<string>",
"boost_eligibility_info": {
"eligible_to_boost": true
},
"media_product_type": "<string>"
}
],
"error": "<string>"
}
}Media
Get Instagram Page Media
This endpoint is used to fetch media assets (both images and videos) associated with a user’s Instagram Page. It provides access to the creative library that can be used in ad campaigns, allowing users to browse and select previously uploaded media for their advertisements.
POST
/
meta
/
get_ig_page_media
Get Instagram Page Media
Request Body
string
required
User ID, If not already created, make a user on create user
page first. If already created,
retrieve the user ID from get profile
page.
string
default:""
If the number of results exceeds the page limit, the response will include
pagination links (
next and previous) to help you navigate through the
result setResponse
boolean
Indicates that the HTTP response was successful (status code 200 OK).
object
Show Media Results
Show Media Results
boolean
Indicates whether the specific operation or API action was successful.
object[]
Show Media Items
Show Media Items
string
Unique Instagram media ID
string
Post caption text
string
Type of media content :
IMAGE or VIDEO or CAROUSEL_ALBUMstring
Direct URL to the media file
string
Permanent link to the Instagram post
string
When the media was published
string
Instagram’s internal ID for the media
string
Placement type of the media :
FEED or STORY or REELSstring
Error string if something went wrong